from xaal.schemas import devices

from zwave_js_server.model.node import Node
from zwave_js_server.event import Event

from logging import getLogger

logger = getLogger(__name__)


def build_devices(node: Node):
    logger.warning(f"{node.node_id} {node.device_config.manufacturer}/{node.device_config.label} ")
    # node.on("value updated", self.value_updated)
    # pdb.set_trace()
    for k in node.values:
        value = node.values.get(k)
        if value:
            print(f"[{k}] {value.endpoint} {value.property_name} => {value.value}")
    # pprint(node.data)


class ZwaveDevice(object):
    def __init__(self, node: Node):
        self.node = node

    def setup(self):
        pass

    def update(self, event: Event):
        pass


class PowerRelay(ZwaveDevice):
    def __init__(self, node):
        super().__init__(node)
        self.dev = devices.powerrelay()


class PowerMeter(ZwaveDevice):
    def __init__(self, node):
        super().__init__(node)
        self.dev = devices.powermeter()

    def update(self, event: Event):
        print(event)
